diff -c -w ls-lisp-CVS-2008-02-29.el ls-lisp-patched-2008-03-02b.el
*** ls-lisp-CVS-2008-02-29.el	Fri Feb 29 14:58:50 2008
--- ls-lisp-patched-2008-03-02b.el	Sun Mar  2 10:51:18 2008
***************
*** 260,276 ****
  		  file switches (ls-lisp-time-index switches)
  		  nil full-directory-p))
  	     (signal (car err) (cdr err)))))
- 	;; Try to insert the amount of free space.
  	(save-excursion
  	  (goto-char (point-min))
! 	  ;; First find the line to put it on.
! 	  (when (re-search-forward "^total" nil t)
! 	    (let ((available (get-free-disk-space ".")))
  	      (when available
- 		;; Replace "total" with "total used", to avoid confusion.
- 		(replace-match "total used in directory")
  		(end-of-line)
! 		(insert " available " available)))))))))
  
  (defun ls-lisp-insert-directory
    (file switches time-index wildcard-regexp full-directory-p)
--- 260,287 ----
  		  file switches (ls-lisp-time-index switches)
  		  nil full-directory-p))
  	     (signal (car err) (cdr err)))))
  	(save-excursion
  	  (goto-char (point-min))
! 	  (while (re-search-forward "^total" nil t)
!             (beginning-of-line)
!             (insert "files " (number-to-string (save-match-data
!                                                  (count-dired-files)))
!                     "/" (number-to-string
!                          (- (length (directory-files default-directory
!                                                      nil nil t)) 2))
!                     " ")
!             (goto-char (point-min))
!             (re-search-forward "^files [0-9]+/[0-9]+ \\(total\\)" nil t)
!             (replace-match "space used" nil nil nil 1)
! 	    (let ((available (and (fboundp 'get-free-disk-space)
!                                   (get-free-disk-space "."))))
                (when available
                  (end-of-line)
!                 (insert " available " available)))
!             (put-text-property (progn (beginning-of-line) (point))
!                                (progn (end-of-line) (point))
!                                'help-echo "Files shown, total files in \
! dir, Kbytes used in dir, Kbytes available on disk")))))))
  
  (defun ls-lisp-insert-directory
    (file switches time-index wildcard-regexp full-directory-p)

Diff finished.  Sun Mar 02 10:51:42 2008
